"use strict";

// Forcibly import this module before anything else, to make our cyclical dependency hack work (details are in ./src/compose-rules.js)
require("./src/compose-rules");

module.exports = {
	// TODO: Provide a 'basePathsToIgnore' option for all of the below methods, so that third-party modules could wrap these methods without having themselves show up as the source of the error? Their base paths can then be treated like internals paths in the error parsing code that pinpoints the validation call site.
	validateArguments: require("./src/api/validate-arguments"),
	validateOptions: require("./src/api/validate-options"),
	validateValue: require("./src/api/validate-value"),
	testValue: require("./src/api/test-value"),

	AggregrateValidationError: require("./src/aggregrate-validation-error"),
	RemainingArguments: require("./src/api/validate-arguments/remaining-arguments-symbol")
};
